// components/activity/makeGroup.js
const util = require("../../../utils/util.js");
Component({
  properties: {
    datas:{
      type: Object,
      observer:function(val){
        this.setData({ showObj: val });
      }
    },
    remainTime:{
      type: Object,
      observer:function(val){
        this.setData({ updateTime: val });
      }
    },
    presell:{
      type:Object,
      observer:function(val){
        let presellPayEndTime = util.formatDate(util.formatUnixtimestamp(val.presellPaymentDeadline), 'MM月dd日 hh:mm', false);
        this.setData({ presell: val,presellPayEndTime});
      }
    },
    presellOpen:{
      type: Number,
      observer:function(val){
        this.setData({ presellOpen: val });
      }
    }
  },
  data: {
    showObj:{},
    updateTime:{},
    presell:{},
    presellPayEndTime:'',
    presellOpen:0
  },
  methods: {
    newGroup(e){
      this.triggerEvent('makeUpGroup',e.target.dataset.creategroup)
    },
    jumpBalancePayment(e){
      this.triggerEvent('jumpBalancePayment')
    }
  }
})